# Pytex

Pytex is a simple package which make a bridge between Latex and Python.

## Installation

``` bash
pip install mypytex
```

## texenv: Bring Python inside latex

*texenv* is a jinja2 environment which allow to use python commands inside latex.

- **\Block{#}**  is the equivalent of **{% block #%}** in Jinja2. Every python's commands will be run like in a script. **%-** is also available for line statement.
- **\Var{#}** is the equivalent of **{{#}}** which print the statment.

Use the environment with a string template.

``` python
>>> from pytex import texenv

>>> text = "Hello"
>>> template = """\
\Var{text}
\Block{set a = 2}
%-set b = 3
\Var{a}
\Var{b}
"""

>>> template = texenv.from_string(template)
>>> print(template.render(text = text)
Hello

2
3


```


## feed: converting template into tex files

## pdflatex: Compile files with pdflatex

## update_export_dict: import extract tools inside template



